Skip to main content

Address API

API for address based operations on the Epilot platform

Quick Startโ€‹

# List available operations
epilot address

# Call an operation
epilot address getAddressSuggestions -p fileRef=https://epilot-dev-user-content.s3.eu-central-1.amazonaws.com/739224/0a3639af-d4c3-4f96-bfc1-9dcbafdfaa42/availability-file-template%2520(13).csv

Common Flagsโ€‹

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operationsโ€‹

Address Suggestion

Availability

  • availabilityCheck โ€” Check for Entities that contain a matching availability range in related availability files.
  • validateAvailabilityFile โ€” Validates an already uploaded availability file, it returns an array of errors if any errors are found in the file.

getAddressSuggestionsโ€‹

Get address suggestions for the given Availability File

GET /v1/public/suggestions

Parameters

NameInTypeRequiredDescription
fileRefquerystring (uri)YesReference to the File URL
countryCodeSearchTermquerystringNoCountry code search term
postalCodeSearchTermquerystring (postal-code)NoPostal code search term
streetSearchTermquerystring (street-address)Nostreet search term

Sample Call

epilot address getAddressSuggestions \
-p fileRef=https://epilot-dev-user-content.s3.eu-central-1.amazonaws.com/739224/0a3639af-d4c3-4f96-bfc1-9dcbafdfaa42/availability-file-template%2520(13).csv

With JSONata filter:

epilot address getAddressSuggestions -p fileRef=https://epilot-dev-user-content.s3.eu-central-1.amazonaws.com/739224/0a3639af-d4c3-4f96-bfc1-9dcbafdfaa42/availability-file-template%2520(13).csv --jsonata '$'
Sample Response
[
{
"country": "st",
"postal_code": "string",
"city": "string",
"street": "string",
"street_number": "string"
}
]

availabilityCheckโ€‹

Check for Entities that contain a matching availability range in related availability files.

POST /v1/public/availability

Request Body (required)

Sample Call

epilot address availabilityCheck \
-d '{}'

Using stdin pipe:

cat body.json | epilot address availabilityCheck

With JSONata filter:

epilot address availabilityCheck --jsonata 'available_entities'
Sample Response
{
"available_entities": [],
"check_results": [
{
"entity_id": "72c803b2-2e5d-4bd6-bffc-fad998bbbe36",
"matching_hits": 0
},
{
"entity_id": "72c803b2-2e5d-4bd6-bffc-fad998bbbe37",
"matching_hits": 0
}
]
}

validateAvailabilityFileโ€‹

Validates an already uploaded availability file, it returns an array of errors if any errors are found in the file.

GET /v1/availability/{id}/validate

Parameters

NameInTypeRequiredDescription
idpathstring (uuid)YesEntity ID of the File Entity with the Availability File. The accepted formats are .csv and .xlsx.

Sample Call

epilot address validateAvailabilityFile \
-p id=72c803b2-2e5d-4bd6-bffc-fad998bbbe36

Using positional args for path parameters:

epilot address validateAvailabilityFile 72c803b2-2e5d-4bd6-bffc-fad998bbbe36

With JSONata filter:

epilot address validateAvailabilityFile -p id=72c803b2-2e5d-4bd6-bffc-fad998bbbe36 --jsonata 'status'
Sample Response
{
"status": "success",
"rules_parsed_count": 0,
"errors": [
{
"line": 0,
"message": "string",
"data": "string"
}
]
}